version: 2

sphinx:
  fail_on_warning: true
  configuration: docs/conf.py

build:
  os: ubuntu-22.04
  tools:
    python: "3"

formats:
  - pdf

python:
  # Install our python package before building the docs
  install:
    - method: pip
      path: .
      extra_requirements:
        - docs
